### Method

# Adw Toastset_timeout

#### Declaration [src]

    void
    adw_toast_set_timeout (
      AdwToast* self,
      guint timeout
    )

#### Description [src]

Sets timeout for `self`.

If `timeout` is 0, the toast is displayed indefinitely until manually dismissed.

Toasts cannot disappear while being hovered, pressed (on touchscreen), or have keyboard focus inside them.

Sets property | `Adw.Toast:timeout`

#### Parameters

`timeout`

  Type: `guint`

  The timeout.